<?php

namespace Container\Mail;

use Helpers\Trad\Trad;

/**
 * Relance du comptable d'un litige
 */
class LitigeInfo extends AbsMail
{
    public function getSujet(): string
    {
        return Trad::strBuild(
            $this->trad->t('Information sur un litige facture concernant le fournisseur @1@ (@2@)'),
            $this->listeData['FOU_RS'],
            $this->listeData['FOU_CODE']
        );
    }

    public function getMessage(): string
    {
        return implode("\r\n", [
            $this->trad->t('Bonjour,'),
            '',
            Trad::strBuild(
                $this->trad->t('La facture numéro @1@ datée du @2@ et émise par @3@ (@4@) a été mise en litige pour la raison suivante @5@.'),
                $this->listeData['FAC_NUM'],
                $this->listeData['FAC_DATE'],
                $this->listeData['FOU_RS'],
                $this->listeData['FOU_CODE'],
                $this->listeData['INC_LIB']
            ),
            '',
            $this->trad->t('Vous trouverez ci-joint une copie de la facture concernée.'),
            '',
            Trad::strBuild(
                $this->trad->t('Le responsable de l’incident identifié est @1@.'),
                $this->listeData['RESP_NOM']
            ),
            '',
            $this->trad->t('Cordialement,'),
            $this->listeData['USER_NOM'],
        ]);
    }
}
